# Generated by Django 4.2.1 on 2023-05-11 06:17

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('main', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone', models.CharField(max_length=11)),
                ('code', models.CharField(max_length=10)),
                ('tag', models.CharField(max_length=50)),
                ('timezone', models.SmallIntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Mailing',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_dt', models.DateTimeField()),
                ('stop_dt', models.DateTimeField()),
                ('text', models.TextField()),
                ('code_filter', models.CharField(max_length=10)),
                ('tag_filter', models.CharField(max_length=50)),
                ('status', models.CharField(choices=[('p', 'pending'), ('f', 'finished')], default='p', max_length=1)),
            ],
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now=True)),
                ('status', models.CharField(choices=[('p', 'pending'), ('s', 'success'), ('f', 'failed')], default='p', max_length=10)),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='messages', to='main.client')),
                ('mailing', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.mailing')),
            ],
        ),
    ]
